Subject: Re: bug#77725: 31.0.50; Add support for types accepted by `cl-typep' to cl-generic?

From: Stefan Monnier <[email-masked]>
Date: Thu, 24 Apr 2025 15:44:38 -0400

> Another information which could be useful: if I replace (cl-eval-when
> (compile load eval) ...)  by (eval-and-compile ...) in the definition
> of `cl-deftype', there is no side effect of the byte-compilation on
> the current definition.

It looks like this is a bug in `cl-eval-when` introduced when Alan added
"symbol with positions" for better error reporting.

Could you make it a separate bug-report?

> What I don't know is if the two forms are equivalent.

Obviously they don't do quite the same thing, but AFAIK they *should*
behave the same, so I'd use `eval-and-compile`.

        Stefan